跳至內容

Hunyuan 3D Rapid Image to 3D

整合

模型 id hunyuan-3d/v3.1/rapid/image-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-3d/v3.1/rapid/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.225 225 API 點數 · ≈ ₽24.18 在此頁面執行

取得 API 金鑰
Tencent 圖像轉 3D #3d#hunyuan#image-to-3d

快速影像轉 3D,從單張正面影像建立模型,支援選用的 PBR 或無材質網格

Tencent · 3D

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填
拖放檔案,或

透過 URL 提供正面視圖圖像;建議使用簡單背景,且單一物件覆蓋超過 50% 的影格。使用 JPG、PNG 或 WEBP,解析度介於 128 至 5000px,檔案大小上限為 8 MB;使用 base64 編碼時建議不超過 6 MB。

進階 enable_geometry
POST /run/hunyuan-3d/v3.1/rapid/image-to-3d?wait=20 報價 → $0.225
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-3d/v3.1/rapid/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Hunyuan 3D Rapid Image to 3D

從單張正面影像(`input_image_url`,128 至 5000 px,最大 8MB,JPG、PNG 或 WEBP)建立 3D 模型。使用簡單背景且單一物件佔畫面一半以上時效果最佳。`enable_pbr` 加入金屬度、粗糙度與法線貼圖,`enable_geometry` 則以 GLB 回傳無材質的白色模型。輸出包含模型、各格式 URL、材質、MTL 檔案及縮圖。

參數

名稱類型 預設值允許值 說明
input_image_url必填
類型url · image
透過 URL 提供正面視圖圖像;建議使用簡單背景,且單一物件覆蓋超過 50% 的影格。使用 JPG、PNG 或 WEBP,解析度介於 128 至 5000px,檔案大小上限為 8 MB;使用 base64 編碼時建議不超過 6 MB。
enable_pbr選填
類型boolean
預設值false
PBR 生成切換;當 enable_geometry 為 True 時停用。否則啟用後會在生成材質中加入金屬、粗糙度和法線紋理。
enable_geometry選填
類型boolean
預設值false
僅幾何生成切換;啟用時會停用 OBJ 支援、將輸出預設為 GLB,並忽略 enable_pbr。生成的模型為白色且沒有紋理。
必填

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-3d/v3.1/rapid/image-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 225,
    "usd": "0.225",
    "charged": 225,
    "refunded": 0
  },
  "input": {
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "material_mtl": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "texture": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "mtl": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "texture": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
model_glb
object {url, content_type, file_name, file_size} | null包含生成 3D 模型的檔案;可用時使用 GLB,否則使用 OBJ。
material_mtl
object {url, content_type, file_name, file_size} | null包含 OBJ 模型材質的 MTL 檔案。
texture
object {url, content_type, file_name, file_size} | null提供 3D 模型紋理的圖像。
thumbnail
object {url, content_type, file_name, file_size} | null顯示生成模型預覽的縮圖。
model_urls
object {glb, fbx, obj, mtl, texture, usdz}各種格式的 3D 模型連結。

更多模型:圖像轉 3D

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/hunyuan-3d/v3.1/rapid/image-to-3d.md. 所有模型與指南: https://doitong.com/developers/llms.txt